Bug 1074590 (Singular-3.1.6) - (RFE) Singular-3.1.6
Summary: (RFE) Singular-3.1.6
Keywords:
Status: CLOSED RAWHIDE
Alias: Singular-3.1.6
Product: Fedora
Classification: Fedora
Component: Singular
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1074597
Blocks: Macaulay2-1.6
TreeView+ depends on / blocked
 
Reported: 2014-03-10 15:26 UTC by Rex Dieter
Modified: 2014-05-19 15:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-19 15:20:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2014-03-10 15:26:42 UTC
Tracker bug for upgrading to Singular-3.16

Comment 1 Rex Dieter 2014-03-10 15:37:22 UTC
work-in-progress Singular-3.1.6 packaging I'm testing with:
http://rdieter.fedorapeople.org/rpms/Singular/

Comment 2 Rex Dieter 2014-05-19 14:18:03 UTC
I have some time to work on this more today.

Recent modifications to Singlar-3.1.5 in rawhide means some stuff needs rebasing.

In particular, I'm running into build failures when polymake support is enabled... I'm probably going to disable that temporarily.

Comment 3 Rex Dieter 2014-05-19 15:13:23 UTC
Oh boo, f20 local builds ok, but rawhide hits another new issue:

../factory/libsingcf.a(cf_factor.o): In function `~zz_pX':
/usr/include/NTL/lzz_pX.h:87: undefined reference to `NTL::Vec<NTL::zz_p>::~Vec()'
/usr/include/NTL/lzz_pX.h:87: undefined reference to `NTL::Vec<NTL::zz_p>::~Vec()'
/usr/include/NTL/lzz_pX.h:87: undefined reference to `NTL::Vec<NTL::zz_p>::~Vec()'
/usr/include/NTL/lzz_pX.h:87: undefined reference to `NTL::Vec<NTL::zz_p>::~Vec()'
/usr/include/NTL/lzz_pX.h:87: undefined reference to `NTL::Vec<NTL::zz_p>::~Vec()'
../factory/libsingcf.a(cf_factor.o):/usr/include/NTL/lzz_pX.h:87: more undefined references to `NTL::Vec<NTL::zz_p>::~Vec()' follow
collect2: error: ld returned 1 exit status

Seems it's not happy with rawhide's ntl-6.1.0 (vs f20's ntl-6.0.0)

Comment 4 Rex Dieter 2014-05-19 15:19:08 UTC
Arg, my checkout missed a few recent commits, I think this got fixed (now I need more merging)

Comment 5 Rex Dieter 2014-05-19 15:20:23 UTC
Ha, nevermind, the best kind of missed recent commit. :)


%changelog
* Sun May 18 2014 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 3.1.6-2
- Merge with RFE 3.1.6 update (#1074590)
- Remove patches applied upstream
- Disable polymake to allow interface rebootstrap

thanks for fixing it.


Note You need to log in before you can comment on or make changes to this bug.